Package twisted :: Package spread :: Module pb :: Class AuthRoot

[show private | hide private]
[frames | no frames]

## Class AuthRoot

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                     Root --+
                            |
                           AuthRoot

I provide AuthServs as root objects to Brokers for a BrokerFactory.

Method Summary
| `__init__(self, auth)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)
| ``rootObject`(self, broker)` A `pb.BrokerFactory`is requesting to publish me as a root object.

Method Details

### rootObject(self, broker)

A `pb.BrokerFactory` is requesting to publish me as a root object.

When a `pb.BrokerFactory` is sending me as the root object, this method will be invoked to allow per-broker versions of an object. By default I return myself.

  Overrides:
    `twisted.spread.flavors.Root.rootObject` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:19:02 2003 | http://epydoc.sf.net